import request from '@/utils/request'

// 登录
export function login(usercode, password) {
  return request({
    url: 'api/token/login',
    method: 'post',
    data: {
      usercode,
      password
    }
  })
}

// 获取当前用户信息(// 用户管理使用的接口控制器由UserAccount改为HyUserAccount 20190527 by fanlongfei)
export function getInfo() {
  return request({
    url: 'api/useraccount/getnowuser',
    method: 'get'
  })
}

// 获取菜单和按钮数据
export function getMenus() {
  return request({
    url: 'api/menu/getcurrentmsg',
    method: 'get'
  })
}

